Page MenuHomePhabricator

stubs are produced with xml:space="preserve" in the text tag; this is new behavior for the July 20th run of the xml/sql dumps
Closed, ResolvedPublic0 Estimate Story Points

Description

This seems to have been introduced by https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/464768/ at line 497 of the new XmlDumpWriter.php code. The previous behavior is that the stubs should contain size but not content or the xml:space attribute for the text element; the content dumps should contain the xml:space attribute for the text element and no others.

Details

Related Gerrit Patches:

Event Timeline

ArielGlenn triaged this task as Medium priority.Jul 23 2019, 2:46 PM
ArielGlenn created this task.
WDoranWMF moved this task from MCR to mop on the Core Platform Team board.Jul 26 2019, 6:38 PM
ArielGlenn moved this task from Backlog to Up Next on the Dumps-Generation board.Jul 27 2019, 5:29 AM
tstarling assigned this task to daniel.Jul 31 2019, 11:14 PM
tstarling added a subscriber: tstarling.

Change 552798 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] XmlDumpWriter: emit xml:space only if text is present.

https://gerrit.wikimedia.org/r/552798

Change 552798 merged by jenkins-bot:
[mediawiki/core@master] XmlDumpWriter: emit xml:space only if text is present.

https://gerrit.wikimedia.org/r/552798

This looks good for stubs and page content dumps on deployment-prep; stubs now does not have the tag and page content dumps still do, which is what we want. Once this is deployed to all the wikis we can close the task.

ArielGlenn closed this task as Resolved.Dec 10 2019, 9:21 AM

wmf.8 is now everywhere, and this branch has the patch in it, so I can close this task. Thanks for the fix!